import { PropsWithChildren, ReactElement } from "react";
import { NerdConfirmOptions } from "./types";
export declare const NerdConfirmContextProvider: import("react").Provider<{
    setOpen: (options?: NerdConfirmOptions | undefined) => void;
}>;
/**
 * NerdConfirm
 *
 *
 * @param {PropsWithChildren<unknown>} props Component props
 * @returns {ReactElement} NerdConfirm
 */
export default function NerdConfirmProvider(props: PropsWithChildren<unknown>): ReactElement;
