import { DatePickerProps } from "@mui/x-date-pickers-pro";
import { DateTime } from "luxon";
import { ReactNode } from "react";
import { FormControlProps, FormLabelProps, InputProps } from "@mui/joy";
export interface NerdDatePickerProps {
    value: DateTime | null;
    onChange: (newDate: DateTime | null) => void;
    inputProps?: InputProps;
    formLabelProps?: FormLabelProps;
    helperText?: ReactNode;
    label?: ReactNode;
    datePickerProps?: Partial<DatePickerProps<DateTime | string, DateTime | string>>;
    localeStringFormat?: Intl.DateTimeFormatOptions;
    openCalendar?: boolean;
    setOpenCalendar?: (state: boolean) => void;
    formControlProps?: FormControlProps;
}
/**
 *
 * @param {NerdDatePickerProps} props Props
 * @returns {ReactElement} NerdDateTimePicker
 */
declare const _default: import("react").ForwardRefExoticComponent<NerdDatePickerProps & import("react").RefAttributes<HTMLInputElement>>;
export default _default;
