import { CountryCode } from "libphonenumber-js";
import { ReactElement } from "react";
import { FormLabelProps, InputProps } from "@mui/joy";
export interface NerdPhoneFieldProps {
    label?: string;
    inputProps?: InputProps;
    formLabelProps?: FormLabelProps;
    onAccept?: (phoneNumber: string) => void;
    onError?: (reason: string) => void;
    value?: string;
    defaultCountry?: CountryCode;
    format?: "international" | "national";
}
/**
 *
 * @param {NerdPhoneFieldProps} props Component props
 * @returns {ReactElement} NerdPhoneField
 */
export default function NerdPhoneField(props: NerdPhoneFieldProps): ReactElement;
