import { AutocompleteProps } from "@mui/material/Autocomplete";
import { ReactElement } from "react";
/**
 *
 * @param {AutocompleteProps<T, Multiple, DisableClearable, FreeSolo>} props component props
 * @returns {ReactElement} NerdVirtualizedAutocomplete
 */
export default function NerdVirtualizedAutocomplete<T, Multiple extends boolean | undefined, DisableClearable extends boolean | undefined, FreeSolo extends boolean | undefined>(props: AutocompleteProps<T, Multiple, DisableClearable, FreeSolo> & {
    disableVirtualization?: boolean;
}): ReactElement;
