import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Close } from "@mui/icons-material";
import { IconButton, useTheme } from "@mui/joy";
import { Dialog, useMediaQuery } from "@mui/material";
export default function NerdDialogClose(props) {
    const theme = useTheme();
    const sm = useMediaQuery(theme.breakpoints.down(600));
    return (_jsxs(Dialog, { ...props, fullScreen: sm || props.fullScreen, children: [props.onClose ? (_jsx("div", { style: {
                    position: "fixed",
                    top: 10,
                    right: 10,
                    zIndex: 999,
                }, children: _jsx(IconButton, { onClick: () => {
                        if (props.onClose)
                            props.onClose({}, "backdropClick");
                    }, size: "sm", variant: "plain", sx: { color: sm ? "gray" : "white" }, children: _jsx(Close, { sx: { fontSize: 28 } }) }) })) : ([]), props.children] }));
}
