import { PayloadAction } from "@reduxjs/toolkit";
import { AppState } from "../appState";
export interface NerdFeedbackState {
    open: boolean;
    error?: unknown;
}
export declare const nerdFeedbackSlice: import("@reduxjs/toolkit").Slice<NerdFeedbackState, {
    setOpenFeedbackDialog: (state: import("immer/dist/internal").WritableDraft<NerdFeedbackState>, action: PayloadAction<{
        open: boolean;
        error?: unknown;
    }>) => import("immer/dist/internal").WritableDraft<NerdFeedbackState>;
}, "nerdFeedback">;
export declare const setOpenFeedbackDialog: import("@reduxjs/toolkit").ActionCreatorWithPayload<{
    open: boolean;
    error?: unknown;
}, "nerdFeedback/setOpenFeedbackDialog">;
export declare const nerdFeedbackReducer: import("redux").Reducer<NerdFeedbackState, import("redux").AnyAction>;
export declare const nerdFeedbackOpenSelector: ((state: AppState) => boolean) & import("reselect").OutputSelectorFields<(args_0: boolean) => boolean, {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const nerdFeedbackErrorSelector: ((state: AppState) => unknown) & import("reselect").OutputSelectorFields<(args_0: unknown) => unknown, {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
